<!DOCTYPE html >
<ui:composition template="/laytou_base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:o="http://omnifaces.org/ui">

	<f:metadata>
		<o:viewParam name="id" value="#{notaFiscalDetalheBean.notaFiscal}" />
		<f:viewAction action="#{notaFiscalDetalheBean.inicializar}" />
	</f:metadata>
	
	<ui:define name="page_title">
		Consultar Produto
	</ui:define>

	<ui:define name="content">
		<div class="row">
			<div class="col-md-12">
				<h4 class="title">Produtos</h4>
				<p class="category">Veja informações sobre Produtos</p>
				<br />

				<div class="card">
					<div class="card-content">
						<div class="toolbar">
							<!--Here you can write extra buttons/actions for the toolbar-->
							<p>
								<strong>NOTA FISCAL: </strong>#{notaFiscalDetalheBean.notaFiscal.numero}
							</p>
							<p>
								<strong>DATA: </strong>#{notaFiscalDetalheBean.notaFiscal.dataFormatada}
							</p>
							<p>
								<strong>ESTABELECIMENTO: </strong>#{notaFiscalDetalheBean.notaFiscal.idEstabelecimento.nomeFantasia}
							</p>
							<p>
								<strong>ITENS: </strong>#{notaFiscalDetalheBean.notaFiscal.itens}
							</p>
							<p>
								<strong>VALOR NF: </strong>R$ #{notaFiscalDetalheBean.notaFiscal.vlNfce}
							</p>
						</div>
						<div class="fresh-datatables">
							<h:dataTable value="#{notaFiscalDetalheBean.produtos}" var="item"
								styleClass="table table-striped table-no-bordered table-hover"
								cellspacing="0" width="100%" style="width: 100%" 
								id="nfce-detalhe">
<!-- 								<h:column> -->
<!-- 									<f:facet name="header"> -->
<!-- 										<h:outputText value="COD." /> -->
<!-- 									</f:facet> -->
<!-- 									<h:outputText value="#{item.codigoProduto}" /> -->
<!-- 								</h:column> -->
								<h:column>
									<f:facet name="header">
										<h:outputText value="PRODUTO" />
									</f:facet>
									<h:outputText value="#{item.codigoProduto} - #{item.descricao}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="QTD." />
									</f:facet>
									<h:outputText value="#{item.qtd}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="UNI." />
									</f:facet>
									<h:outputText value="#{item.unidade}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="VL. ITEM" />
									</f:facet>
									<h:outputText value="R$ #{item.vlProduto}" />
								</h:column>								
							</h:dataTable>
						</div>
					</div>
				</div>
				<!--  end card  -->
			</div>
			<!-- end col-md-12 -->
		</div>
		<!-- end row -->
		<h:outputScript>
	$(document).ready(function() {
		//nfce-detalhes
		$('#nfce-detalhe').DataTable({
					"pagingType": "numbers",
					responsive: true,
					ordering: false,
					"bLengthChange": false,
					language: {
						search: "_INPUT_",
						searchPlaceholder: "Filtrar",
						"url": "/resources/json/Portuguese-Brasil.json"
				}
			});
	});
</h:outputScript>
	</ui:define>
</ui:composition>